#6 Show Password button unreliable

closed
nobody
None
5
2012-09-17
2008-11-26
David
No

Running PasswordSafeSWT 0.4 on Mac OS X 10.4.3,
Jave version 1.4.2_09

Intermittantly (1 in 3 times?) after opening an item,
clicking on "Show Password" fails to do so (password
remains as "*") Having failed, I then have to click
"Show Password" at least two or three more times before
the paasword is finally revealed.

Also, having revealed the password, it would be nice if
the button were to change to "Hide Password" (cf. the
Windows version).

Discussion

  • David

    David - 2008-11-26

    Date: 2006-04-23 20:36
    Sender: gneel42

    Logged In: YES
    user_id=1101287

    I'll check the code too, see if I can find a race condition
    or some similar subtle bug. Thanks for the updates.

    Date: 2006-04-22 05:26
    Sender: glen_a_smithAccepting Donations

    Logged In: YES
    user_id=28390

    I have seen this behaviour on the Mac version too. It's
    definitely intermittant. I'm going to have a look at
    updating to SWT 3.2 and see if that resolves is.

    Date: 2006-04-21 13:16
    Sender: unitech

    Logged In: YES
    user_id=1369944

    No, unfortunately.
    Although I was able to build from the source (in Netbeans),
    I couldn't get it to run in the IDE - some problem with DLLs
    if I remember correctly.

    FWIW, I'm still seeing the bug as reported in version 0.5
    Funny thing is that the show password/hide password (new to
    0.5) does always toggle, yet the original bug continues,
    with **** being displayed sometimes even though the button
    is saying "Hide Password"

    Date: 2006-04-20 16:13
    Sender: gneel42

    Logged In: YES
    user_id=1101287

    Did you get anywhere with tracking this down?

    Cheers, Neil.

    Date: 2005-11-22 09:33
    Sender: unitech

    Logged In: YES
    user_id=1369944

    The intermittant display occurs within one pwsafe session.
    I just opened an item - 3 clicks on "Show Password" before
    it was revealed. Closed item (with cancel), reopened item, 1
    click to reveal, closed item, reopen 1 click to reveal,
    closed, reopen, 1, ... 3, ... 1, ...

    Nothing in either the Console log nor the System log.
    If you can't reproduce, I'll see if I can have a crack at
    debugging myself.

    Date: 2005-11-22 03:17
    Sender: glen_a_smithAccepting Donations

    Logged In: YES
    user_id=28390

    Great suggestion on the button label. Have made the fix for 0.5.

    On the intermittant display issue, does it happen
    intermittantly in the same pwsafe session? Or changes
    between different launches of the app? When you get next the
    issue, can you check if anything is written to your
    /Applications/Utilities/Console app?

    It's fine on my Mac Mini, which I think is the same version
    of OSX. But it might be some intermittant
    memory-leak-related deal.

    Thanks for taking the time to report it.

    Glen.

     
  • David

    David - 2008-11-26

    Migrated from old Bug #1362655 of PasswordSafe project

     
  • David

    David - 2009-02-11

    I am not seeing this in the actual version 0.7.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks